Subject: [DNSOP] draft-ietf-dnsop-attrleaf vs. RFC7553

From: Alexander Mayrhofer <[email-masked]>
Date: Thu, 7 Feb 2019 16:47:41 +0000

Hello everyone,

I'm turning my head around an issue around the attrleaf draft, and its connection with RFC7553 (the URI RRType). Im specifically wondering what the connection between the "service parameter" in RFC 7553 and the "Global Underscore Node Names" in draft-ietf-dnsop-attrleaf is.  I'm trying to reword draft-mayrhofer-dns-did to request a new underscore node name. My issues is as follows:

RFC 7553 restricts the  "service parameters" (those underscored names) as follows:

   Valid service

   parameters are those registered by IANA in the "Service Name and

   Transport Protocol Port Number Registry" [RFC6335<https://tools.ietf.org/html/rfc6335>] or as "Enumservice

   Registrations [RFC6117<https://tools.ietf.org/html/rfc6117>].

However, I understand the intent of draft-ietf-attrleaf (as far as I understand) is to replace/extend that definition by a new registry, and does indeed include underscore node names for the URI RRType in Section 4.3. However, I'm wondering whether that formally "overrides" the previous specification.. So, my questions are:

A)      Would it be enough to request a global underscore node name to use it with the URI RRType

B)      And shouldn't draft-ietf-dnsop-attrleaf hence UPDATE RFC7553?

(I know the draft is already *very* well advanced in the process, so I'm opening a can of worms here - but better late than never? And there are definitely more future use cases for URI records that might be well covered by the attrleaf document..)

Comments appreciated!

Best,
Alex

---

From: "John Levine" <[email-masked]>
Date: 7 Feb 2019 14:29:02 -0500

In article <[email-masked]> you write:
>I'm turning my head around an issue around the attrleaf draft, and its connection with RFC7553 (the URI
>RRType). Im specifically wondering what the connection between the "service parameter" in RFC 7553 and the
>"Global Underscore Node Names" in draft-ietf-dnsop-attrleaf is. 

Dave moved the duct tape patching up all the places that defined
underscored names to draft-ietf-dnsop-attrleaf-fix.

See sections 2.3 and 2.3 for URI records.

It's still a draft so if it seems wrong, send text.

R's,
John

Linguistic note: people from the antipodes should read "duct tape"
as "number 8 wire"

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 7 Feb 2019 21:44:46 +0000

> It's still a draft so if it seems wrong, send text.

It is a draft, but it is has been in the RFC Editor's queue for 2.5 months. Unless there is a technical problem, fixing it now (without WG review) could cause more harm than benefit.

--Paul

---

From: "John R Levine" <[email-masked]>
Date: 7 Feb 2019 17:06:17 -0500

> It is a draft, but it is has been in the RFC Editor's queue for 2.5 months. Unless there is a technical problem, fixing it now (without WG review) could cause more harm than benefit.

Oh, definitely.  When I said wrong I meant like it doesn't work, not that 
a sentence could be reworded.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Alexander Mayrhofer <[email-masked]>
Date: Fri, 8 Feb 2019 09:13:40 +0000

Hi,

> Von: Paul Hoffman <[email-masked]>
> Gesendet: Donnerstag, 7. Februar 2019 22:45

[..]

> > See sections 2.3 and 2.3 for URI records.

Oh, i should have looked at the attrleaf-fix too, yes. I think that works, I'll go forward with the suggested text for registration of an global underscored node name. Pretty straightforward.

> It is a draft, but it is has been in the RFC Editor's queue for 2.5 months. Unless
> there is a technical problem, fixing it now (without WG review) could cause
> more harm than benefit.

I agree. I actually waited with the revision of my draft to the very last moment, because I was hoping the attrleaf cluster makes it through the RFC editors before my draft expires ;)

Thanks!
Alex